import request from '@/utils/request'

export function postDrugWarehouse(params, warehousing_time, manufacturer_id, dealer_id, type, storehouse_id, warehousing_id) {
  return request({
    url: '/api/drugwarehouse/create?warehousing_time=' + warehousing_time + '&manufacturer_id=' + manufacturer_id + '&dealer_id=' + dealer_id + '&type=' + type + '&storehouse_id=' + storehouse_id + '&warehousing_id=' + warehousing_id,
    method: 'post',
    data: params
  })
}

export function getDrugWarehouseList(params) {
  return request({
    url: '/api/drugwarehouse/list',
    method: 'get',
    params: params
  })
}

export function getDrugWarehouseInfoList(params) {
  return request({
    url: '/api/drugwarehouseinfo/list',
    method: 'get',
    params: params
  })
}

export function postDrugSalesReturn(params, salesReturnTime, salesReturnTotal, dealer_id, manufacturer_id, type) {
  return request({
    url: '/api/drugsalesreturn/create?time=' + salesReturnTime + '&total=' + salesReturnTotal + '&dealer_id=' + dealer_id + '&manufacturer_id=' + manufacturer_id + '&type=' + type,
    method: 'post',
    data: params
  })
}

export function getDrugWarehouseInfo(params) {
  return request({
    url: '/api/info/get',
    method: 'get',
    params: params
  })
}

export function getDrugSalesReturnList(params) {
  return request({
    url: '/api/drugsalesreturn/list',
    method: 'get',
    params: params
  })
}

export function getDrugSalesReturnInfoList(params) {
  return request({
    url: '/api/return/info',
    method: 'get',
    params: params
  })
}

export function getAllDrugWarehouseInfo(params) {
  return request({
    url: '/api/warehouseinfo',
    method: 'get',
    params: params
  })
}

export function getDrugWarehouseOutInfoList(params) {
  return request({
    url: '/api/stock/out/info',
    method: 'get',
    params: params
  })
}

export function postDrugWarehouseOut(params, warehousing_time, dealer_id, manufacturer_id, type, storehouse_id, warehouse_out_id) {
  return request({
    url: '/api/drugwarehouseout/create?warehousing_out_time=' + warehousing_time + '&dealer_id=' + dealer_id + '&manufacturer_id=' + manufacturer_id + '&type=' + type + '&storehouse_id=' + storehouse_id + '&warehouse_out_id=' + warehouse_out_id,
    method: 'post',
    data: params
  })
}

export function getDrugWarehouseInfoCountByGoodId(params) {
  return request({
    url: '/api/info/count',
    method: 'get',
    params: params
  })
}

export function getDrugWarehouseInfoByGoodTypeId(params) {
  return request({
    url: '/api/warehouse/type',
    method: 'get',
    params: params
  })
}

export function getDrugCancelStockInfoList(params) {
  return request({
    url: '/api/cancel/info',
    method: 'get',
    params: params
  })
}

export function getAllDrugStockOutList(params) {
  return request({
    url: '/api/out/list',
    method: 'get',
    params: params
  })
}

export function getAllDrugStockQueryList(params) {
  return request({
    url: '/api/drugstock/query',
    method: 'get',
    params: params
  })
}

export function getDrugWarehouseInfoByOrdeNumber(params) {
  return request({
    url: '/api/stock/warehouse/get',
    method: 'get',
    params: params
  })
}

export function modifyDrugWarehouseInfo(params) {
  return request({
    url: '/api/drugwarehouse/edit',
    method: 'post',
    params: params
  })
}

export function deleteDrugWarehouseInfo(params) {
  return request({
    url: '/api/drugwarehouse/delete',
    method: 'post',
    params: params
  })
}

export function getDrugWarehouseOutInfoByOrdeNumber(params) {
  return request({
    url: '/api/stock/out/get',
    method: 'get',
    params: params
  })
}

export function modifyDrugWarehouseOutInfo(params) {
  return request({
    url: '/api/stock/out/edit',
    method: 'post',
    params: params
  })
}

export function GetAllConfig() {
  return request({
    url: '/api/drugstock/config',
    method: 'get'
  })
}

export function GetAllDrugInfoByID(params) {
  return request({
    url: '/api/drugstock/get',
    method: 'get',
    params: params

  })
}

export function DeleteDrugWarehouseInfoItem(params) {
  return request({
    url: '/api/drugwarehouseinfo/delete',
    method: 'post',
    params: params

  })
}

export function EditDrugWarehouse(params, warehousing_time, id, type, manufacturer_id, dealer_id, storehouse_id) {
  return request({
    url: '/api/drugwarehouse/edit?warehousing_time=' + warehousing_time + '&id=' + id + '&type=' + type + '&manufacturer_id=' + manufacturer_id + '&dealer_id=' + dealer_id + '&storehouse_id=' + storehouse_id,
    method: 'post',
    data: params
  })
}

export function getDrugSalesReturnConfig(params) {
  return request({
    url: '/api/return/config',
    method: 'get',
    params: params

  })
}

export function deleteDrugSalesReturn(params) {
  return request({
    url: '/api/drugsalesreturn/delete',
    method: 'post',
    params: params
  })
}

export function getDrugSaleReturnInfoList(params) {
  return request({
    url: '/api/stock/drugsalesReturn/list',
    method: 'get',
    params: params
  })
}

export function getDrugReturnList(params) {
  return request({
    url: '/api/drugsalesreturninfo/list',
    method: 'get',
    params: params
  })
}
export function deleteDrugSalesReturnInfo(params) {
  return request({
    url: '/api/drugsalesreturninfo/delete',
    method: 'post',
    params: params
  })
}

export function editDrugSalesReturnInfo(params, return_time, id, type, manufacturer_id, dealer_id) {
  return request({
    url: '/api/drugsalesreturn/edit?return_time=' + return_time + '&id=' + id + '&type=' + type + '&manufacturer_id=' + manufacturer_id + '&dealer_id=' + dealer_id,
    method: 'post',
    data: params
  })
}

export function deleteDrugWarehouseOut(params) {
  return request({
    url: '/api/drugwarehouseout/delete',
    method: 'post',
    params: params
  })
}

export function deleteDrugWarehouseOutInfo(params) {
  return request({
    url: '/api/drugwarehouseoutinfo/delete',
    method: 'post',
    params: params
  })
}

export function getDrugWarehouseOutList(params) {
  return request({
    url: '/api/drugwarehouseout/list',
    method: 'get',
    params: params
  })
}

export function getDrugWarehouseOutInfo(params) {
  return request({
    url: '/api/drugwarehouseout/info',
    method: 'get',
    params: params
  })
}

export function editDrugWarehouseoutInfo(params, warehouse_out_time, id, type, manufacturer_id, dealer_id, storehouse_id) {
  return request({
    url: '/api/drugwarehouseout/edit?warehouse_out_time=' + warehouse_out_time + '&id=' + id + '&type=' + type + '&manufacturer_id=' + manufacturer_id + '&dealer_id=' + dealer_id + '&storehouse_id=' + storehouse_id,
    method: 'post',
    data: params
  })
}

export function getDrugCancelStockList(params) {
  return request({
    url: '/api/drugcancelstock/list',
    method: 'get',
    params: params
  })
}

export function editDrugCancelStockInfo(params, cancel_stock_time, id, type, manufacturer_id, dealer_id, storehouse_id) {
  return request({
    url: '/api/drugcancelstockinfo/edit?cancel_time=' + cancel_stock_time + '&id=' + id + '&type=' + type + '&manufacturer_id=' + manufacturer_id + '&dealer_id=' + dealer_id + '&storehouse_id=' + storehouse_id,
    method: 'post',
    data: params
  })
}

export function getDrugCancelStockInfo(params) {
  return request({
    url: '/api/drugcancelstock/info',
    method: 'get',
    params: params
  })
}

export function deleteDrugCancelStock(params) {
  return request({
    url: '/api/drugcancelstock/delete',
    method: 'post',
    params: params
  })
}

export function deleteDrugCancelStockInfo(params) {
  return request({
    url: '/api/drugcancelstockinfo/delete',
    method: 'post',
    params: params
  })
}

export function postDrugCancelStock(params, cancelStockTime, manufacturer_id, dealer_id, type, storehouse_id, cancelstock_id) {
  return request({
    url: '/api/drugcancelstock/create?time=' + cancelStockTime + '&manufacturer_id=' + manufacturer_id + '&dealer_id=' + dealer_id + '&type=' + type + '&storehouse_id=' + storehouse_id + '&cancelstock_id=' + cancelstock_id,
    method: 'post',
    data: params
  })
}
export function getDrugCancelStockConfig(params) {
  return request({
    url: '/api/drugcancelstockinfo/config',
    method: 'get',
    params: params
  })
}

export function getStockDetail(params) {
  return request({
    url: '/api/drugstock/detail',
    method: 'get',
    params: params
  })
}

export function getPrintStockGood(params) {
  return request({
    url: '/api/print/stock',
    method: 'get',
    params: params
  })
}

export function getDrugWarehouseOutUser(params) {
  return request({
    url: '/api/drugwarehouseout/user',
    method: 'get',
    params: params
  })
}

export function createDrugStockAutomaticReduceConfig(is_open) {
  return request({
    url: '/api/drugstock/automaticreduce/isopen?is_open=' + is_open,
    method: 'post'
  })
}

export function getDrugStockAutomaticReduceConfig() {
  return request({
    url: '/api/drugstockautomaticreduce/get',
    method: 'get'
  })
}

export function getDrugIndetail(params) {
  return request({
    url: '/api/drugstock/getdrugindetail',
    method: 'Get',
    params: params
  })
}

export function getDrugCancelOrder(params) {
  return request({
    url: '/api/drugstock/getdrugcancelorder',
    method: 'get',
    params: params
  })
}

export function getDrugOutDetail(params) {
  return request({
    url: '/api/drugstock/getdrugoutdetail',
    method: 'get',
    params: params
  })
}

export function getDrugCancelDetail(params) {
  return request({
    url: '/api/drugstock/getdrugcanceldetail',
    method: 'Get',
    params: params
  })
}

export function getDrugAutoMaticList(params) {
  return request({
    url: '/api/drugstock/getdrugautomaticlist',
    method: 'Get',
    params: params
  })
}

export function getDrugWarehouseOrderInfo(params) {
  return request({
    url: '/api/drugstock/getdrugwarehouseorderinfo',
    method: 'get',
    params: params
  })
}

export function getDrugStockList(params) {
  return request({
    url: '/api/drugstock/drugstocklist',
    method: 'get',
    params: params
  })
}

export function getDrugStockFlow(params) {
  return request({
    url: '/api/drugstock/getdrugstockflow',
    method: 'Get',
    params: params
  })
}

export function getOutDrugStockFlow(params) {
  return request({
    url: '/api/drugoutstock/getoutdrugstockflow',
    method: 'get',
    params: params
  })
}

export function getBatchOrderDetail(params) {
  return request({
    url: '/api/drug/getbatchorderdetail',
    method: 'get',
    params: params
  })
}

export function getStockInList(params) {
  return request({
    url: '/api/stock/getstocklistbyid',
    method: 'Get',
    params: params
  })
}

export function getStockOutList(params) {
  return request({
    url: '/api/stock/getstockoutlist',
    method: 'get',
    params: params
  })
}

export function getDrugCountList(params) {
  return request({
    url: '/api/drug/getdrugcountlist',
    method: 'get',
    params: params
  })
}

export function getSinleOrderDetail(params) {
  return request({
    url: '/api/drug/getsingleorderdetail',
    method: 'get',
    params: params
  })
}

export function getAutoDrugDetail(params) {
  return request({
    url: '/api/drug/getautodrugdetial',
    method: 'Get',
    params: params
  })
}

export function getDrugOrderInPrint(params) {
  return request({
    url: '/api/drug/getdrugorderinprint',
    method: 'get',
    params: params
  })
}

export function getDrugOutOrderDetailPrint(params) {
  return request({
    url: '/api/drug/getdrugoutorderdetailprint',
    method: 'get',
    params: params
  })
}

export function getDrugBatchNumber(params) {
  return request({
    url: '/api/drug/getdrugbatchnumber',
    method: 'Get',
    params: params
  })
}

export function exportDrugList(params) {
  return request({
    url: '/api/drug/exportdruglist',
    method: 'get',
    params: params
  })
}

export function getExportOutOrderDrugList(params) {
  return request({
    url: '/api/drug/getexportoutorderdruglist',
    method: 'Get',
    params: params
  })
}

export function getDrugFlow(params) {
  return request({
    url: '/api/drug/getdrugflow',
    method: 'Get',
    params: params
  })
}

export function getCancelStockDetail(params) {
  return request({
    url: '/api/drug/getcancelstockdetail',
    method: 'get',
    params: params
  })
}

export function getCancelDrugOrderPrint(params) {
  return request({
    url: '/api/drug/getcanceldrugorderprint',
    method: 'Get',
    params: params
  })
}

export function getDrugCancelExportList(params) {
  return request({
    url: '/api/drug/drugcancelexportlist',
    method: 'get',
    params: params
  })
}

export function getDrugWarehouseInfoPrint(params) {
  return request({
    url: '/api/drug/getdrugwarehouseinfoprint',
    method: 'get',
    params: params
  })
}

export function getDrugOutOrderPrint(params) {
  return request({
    url: '/api/drug/getdrugoutorderprint',
    method: 'get',
    params: params
  })
}

export function GetAllConfigOne(params) {
  return request({
    url: '/api/drugstock/config/list',
    method: 'get',
    params: params
  })
}

export function toCheckWarehousingInfo(params) {
  return request({
    url: '/api/drug/checkwarehouseinginfo',
    method: 'get',
    params: params
  })
}

export function toReturnCheckWarehousing(params) {
  return request({
    url: '/api/drug/returncheckwarehouseinginfo',
    method: 'Get',
    params: params
  })
}
export function toCheckDrugOut(params) {
  return request({
    url: '/api/drug/tocheckdrugout',
    method: 'Get',
    params: params
  })
}

export function toReturnCheck(params) {
  return request({
    url: '/api/drug/toreturncheck',
    method: 'get',
    params: params
  })
}

export function checkCancelDrugStock(params) {
  return request({
    url: '/api/drug/checkcanceldrugstock',
    method: 'get',
    params: params
  })
}

export function returnDrugCancelStock(params) {
  return request({
    url: '/api/drug/returndrugcancelstock',
    method: 'Get',
    params: params
  })
}

export function getDrugInitDataList(params) {
  return request({
    url: '/api/drug/getdruginitdatalist',
    method: 'get',
    params: params
  })
}

