import request from '@/utils/request'
import {
  fromTextArea
} from 'codemirror'

export function fetchInspectionReference(id) {
  return request({
    url: '/api/patient/inspection/reference?patient=' + id,
    method: 'get'
  })
}

export function CreatePatientInspection(id, data, remind_cycle) {
  return request({
    url: '/api/patient/inspection/create?patient=' + id + '&remind_cycle=' + remind_cycle,
    method: 'post',
    data: data
  })
}

export function EditPatientInspection(id, data, remind_cycle, dates, projectid) {
  console.log('日期---', dates)
  console.log('项目', projectid)
  return request({
    url: '/api/patient/inspection/edit?patient=' + id + '&remind_cycle=' + remind_cycle + '&dates=' + dates + '&projectid=' + projectid,
    method: 'put',
    data: data
  })
}

export function DeletePatientInspection(params) {
  return request({
    url: '/api/patient/inspection/delete',
    method: 'delete',
    params: params
  })
}

export function fetchPatientInspections(params) {
  return request({
    url: '/api/patient/inspection/list',
    method: 'get',
    params: params
  })
}

export function GetUploadInspections(params) {
  return request({
    url: '/api/patient/inspection/get',
    method: 'get',
    params: params
  })
}

export function GetInitInspections(params) {
  return request({
    url: '/api/patient/inspectioninit/get',
    method: 'get',
    params: params
  })
}
