import Layout from '@/views/layout/Layout'

export default {
    path: '/DepositManagement',
    component: Layout,
    redirect: 'noredirect',
    name: 'DepositManagement',
    alwaysShow: true,
    meta: {
        title: 'DepositManagement',
        icon: 'stock',
        isChild: true
    },
    children: [
        {
            path: '/DepositManagement/DepositSearch',
            component: () => import('@/xt_pages/DepositManagement/DepositSearch'),
            name: 'DepositSearch',
            meta: { title: '押金查询', noCache: true }
        },

        {
            path: '/DepositManagement/RechargeDetailsSummary',
            component: () => import('@/xt_pages/DepositManagement/RechargeDetailsSummary'),
            name: 'RechargeDetailsSummary',
            meta: { title: '押金充值明细汇总', noCache: true }
        },
        {
            path: '/DepositManagement/DeductionDetailsSummary',
            component: () => import('@/xt_pages/DepositManagement/DeductionDetailsSummary'),
            name: 'DeductionDetailsSummary',
            meta: { title: '押金扣费明细汇总', noCache: true }
        },
        {
            path: '/DepositManagement/DepositRefund',
            component: () => import('@/xt_pages/DepositManagement/DepositRefund'),
            name: 'DepositRefund',
            meta: { title: '押金退款', noCache: true }
        },
        {
            path: '/DepositManagement/DepositDetails',
            component: () => import('@/xt_pages/DepositManagement/Template/DepositDetails'),
            hidden: true,
            is_menu: false,
            name: 'DepositDetails',
            meta: {
                title: '流水详情',
                noCache: true
            }
        },
        {
            path: '/DepositManagement/printindex',
            component: () => import('@/xt_pages/DepositManagement/print/printindex'),
            hidden: true,
            is_menu: false,
            name: 'printindex',
            meta: {
                title: '打印凭证',
                noCache: true
            }
        }

    ]
}
