import Layout from '@/views/layout/Layout'

export default {
  path: '/MedicianManagement',
  component: Layout,
  name: 'MedicianManagement',
  alwaysShow: true,
  redirct: 'noredirect',
  meta: {
    title: 'MedicianManagement',
    icon: 'MedicianManagement',
    isChild: true
  },
  children: [
    {
      path: '/Pharmacy/MedicianManagement',
      component: () => import('@/xt_pages/stock/drugs/query'),
      name: '库存查询',
      meta: { title: '库存查询', noCache: true }
    },
    {
      path: '/Pharmacy/drugs/stock/in',
      component: () => import('@/xt_pages/stock/drugs/drugStockInOrder'),
      name: 'drugsStockIn',
      meta: { title: 'drugsStockIn', noCache: true }
    },
    {
      path: '/Pharmacy/drugs/stock/out',
      component: () => import('@/xt_pages/stock/drugs/drugStockOutOrder'),
      name: 'drugsStockOut',
      meta: { title: 'drugsStockOut', noCache: true }
    },
    {
      path: '/Pharmacy/drugs/drugModifyPricePrint',
      component: () => import('@/xt_pages/stock/drugs/drugModifyPricePrint'),
      name: 'drugModifyPricePrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugModifyPricePrint', noCache: true }
    },
    {
      path: '/Pharmacy/drugs/drugInventory',
      component: () => import('@/xt_pages/stock/drugs/drugInventory'),
      name: 'drugInventory',
      meta: { title: 'drugInventory', noCache: true }
    },
    {
      path: '/Pharmacy/drugs/inventoryPrint',
      component: () => import('@/xt_pages/stock/drugs/inventoryPrint'),
      name: 'inventoryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'inventoryPrint', noCache: true }
    },
    {
      path: '/Pharmacy/drugs/stock/cancel',
      component: () => import('@/xt_pages/stock/drugs/cancelDrugStockOrder'),
      name: 'drugsStockCancel',
      meta: { title: 'drugsStockCancel', noCache: true }
    },
    {
      path: '/Pharmacy/drugs/stock/detail',
      component: () => import('@/xt_pages/stock/drugs/drugIndex'),
      name: 'drugDetail',
      meta: { title: '明细查询', noCache: true }
    },
    {
      path: '/Pharmacy/in/add',
      component: () => import('@/xt_pages/stock/drugs/drugStockInOrderAdd'),
      name: 'drugStockInOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockInOrderAdd', noCache: true }
    },
    
    {
      path: '/Pharmacy/in/detail',
      component: () => import('@/xt_pages/stock/drugs/drugStockInDetail'),
      name: 'drugStockInDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockInDetail', noCache: true }
    }, {
      path: '/Pharmacy/return/detail',
      component: () => import('@/xt_pages/stock/drugs/drugSalesReturnDetail'),
      name: 'drugSalesReturnDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugSalesReturnDetail', noCache: true }
    }, {
      path: '/Pharmacy/return/add',
      component: () => import('@/xt_pages/stock/drugs/drugSalesReturnOrderAdd'),
      name: 'drugSalesReturnOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugSalesReturnOrderAdd', noCache: true }
    }, {
      path: '/Pharmacy/out/add',
      component: () => import('@/xt_pages/stock/drugs/drugStockOutOrderAdd'),
      name: 'drugStockOutOrderAdd_Pharmacy',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockOutOrderAdd_Pharmacy', noCache: true }
    }, {
      path: '/Pharmacy/out/detail',
      component: () => import('@/xt_pages/stock/drugs/drugStockOutDetail'),
      name: 'drugStockOutDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockOutDetail', noCache: true }
    }, {
      path: '/Pharmacy/cancel/add',
      component: () => import('@/xt_pages/stock/drugs/cancelDrugStockOrderAdd'),
      name: 'cancelDrugStockOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelDrugStockOrderAdd', noCache: true }
    }, {
      path: '/Pharmacy/cancel/detail',
      component: () => import('@/xt_pages/stock/drugs/cancelDrugStockDetail'),
      name: 'cancelDrugStockDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelDrugStockDetail', noCache: true }
    },
    {
      path: '/Pharmacy/cancel/edit',
      component: () => import('@/xt_pages/stock/drugs/cancelDrugStockOrderEdit'),
      name: 'cancelDrugStockOrderEdit',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelDrugStockOrderEdit', noCache: true }
    },
    {
      path: '/Pharmacy/user/detail',
      component: () => import('@/xt_pages/stock/drugs/drugStockUserDetail'),
      name: 'drugStockUserDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockUserDetail', noCache: true }
    },

    // 编辑药品入库单
    {
      path: '/Pharmacy/in/order/edit',
      component: () => import('@/xt_pages/stock/drugs/drugStockInOrderEdit'),
      name: 'drugStockInOrderEdit',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockInOrderEdit', noCache: true }
    },

    {
      path: '/Pharmacy/in/drugstockflow',
      component: () => import('@/xt_pages/stock/drugs/drugStockFlow'),
      name: 'drugStockFlow',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockFlow', noCache: true }
    },

    {
      path: '/Pharmacy/in/drugbatchnumber',
      component: () => import('@/xt_pages/stock/drugs/drugBatchNumber'),
      name: 'drugBatchNumber',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugBatchNumber', noCache: true }
    },
    {
      path: '/Pharmacy/stockoutorderedit',
      component: () => import('@/xt_pages/stock/stockOutOrderEdit'),
      name: 'stockOutOrderEdit',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockOutOrderEdit', noCache: true }
    },
    {
      path: '/Pharmacy/in/order/edit',
      component: () => import('@/xt_pages/stock/stockInOrderEdit'),
      name: 'stockInOrderEdit',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockInOrderEdit' }
    },

    {
      path: '/Pharmacy/in/stockflow',
      component: () => import('@/xt_pages/stock/stockFlow'),
      name: 'stockFlow',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockFlow' }
    },

    {
      path: '/Pharmacy/in/stockbatchnumber',
      component: () => import('@/xt_pages/stock/stockBatchNumber'),
      name: 'stockBatchNumber',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockBatchNumber' }
    },
    {
      path: '/Pharmacy/out/drugstockoutorderedit',
      component: () => import('@/xt_pages/stock/drugs/drugStockOutOrderEdit'),
      name: 'drugStockOutOrderEdit',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockOutOrderEdit' }

    },
    {
      path: '/Pharmacy/cancel/print',
      component: () => import('@/xt_pages/stock/drugs/cancelDrugOrderPrint'),
      name: 'cancelDrugOrderPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelDrugOrderPrint' }

    }
  ]
}