import Layout from '@/views/layout/Layout'
import {
  S_IFMT
} from 'constants'

export default {
  path: '/device',
  component: Layout,
  redirect: '/device/main',
  name: 'device',
  alwaysShow: true,
  meta: {
    title: 'deviceManage',
    icon: 'shebei'
  },
  children: [
    {
      path: '/device/main',
      component: () => import('@/xt_pages/management/index'),
      // component: () => import("@/xt_pages/device/main"),
      name: 'dialysisMachineManage',
      meta: {
        title: 'dialysisMachineManage',
        noCache: true,

      }
    },
    {
      path: '/device/mode',
      component: () => import('@/xt_pages/mode/index'),
      name: 'modemanagement',
      meta: {
        title: 'modemanagement',
        noCache: true,

      }
    },
    
    {
      path: '/device/home',
      component: () => import('@/xt_pages/management/home'),
      name: 'managementHome',
      is_menu: false,
      hidden: true,
      meta: {
        title: '设备管理详情页',
        noCache: true,

      }
    },
    {
      path: '/device/airDisinfect',
      component: () => import('@/xt_pages/device/airDisinfect'),
      name: 'airDisinfect',
      meta: {
        title: 'airDisinfect',
        noCache: true,

      }
    },
    {
      path: '/device/objectTableDisinfect',
      component: () => import('@/xt_pages/device/objectTableDisinfect'),
      name: 'objectTableDisinfect',
      meta: {
        title: 'objectTableDisinfect',
        noCache: true,

      }
    }

  ]
}
