import Layout from '@/views/layout/Layout'

export default {
  path: '/hisTool',
  component: Layout,
  redirect: 'noredirect',
  name: 'hisTool',
  alwaysShow: true,
  meta: {
    title: 'hisTool',
    icon: 'hisTool',
    isChild: true
  },
  children: [
    {
      path: '/hisTool/modeTemplate',
      component: () => import('@/xt_pages/outpatientDoctorStation/modeTemplate'),
      name: 'modeTemplate',
      meta: { title: 'modeTemplate', noCache: true }
    },
    {
      path: '/hisTool/batchTemplate',
      component: () => import('@/xt_pages/outpatientDoctorStation/batch_mode_template'),
      name: 'batchModeTemplate',
      meta: { title: 'batchModeTemplate', noCache: true },
      hidden: true,
      is_menu: false
    },
    {
      path: '/hisTool/batchDelete',
      component: () => import('@/xt_pages/outpatientDoctorStation/batch_delete'),
      name: 'batchDelete',
      meta: { title: 'batchDelete', noCache: true },
      hidden: true,
      is_menu: false
    },
    {
      path: '/hisTool/batchReplacement',
      component: () => import('@/xt_pages/outpatientDoctorStation/batch_replacement'),
      name: 'batchReplacement',
      meta: { title: 'batchReplacement', noCache: true },
      hidden: true,
      is_menu: false
    },
    {
      path: '/hisTool/modeTemplateDetail',
      component: () => import('@/xt_pages/outpatientDoctorStation/modeTemplateDetail'),
      name: 'modeTemplateDetail',
      meta: { title: 'modeTemplateDetail', noCache: true },
      hidden: true,
      is_menu: false
    },
    {
      path: '/hisTool/prescriptionTemplate',
      component: () => import('@/xt_pages/outpatientDoctorStation/prescriptionTemplate'),
      name: 'prescriptionTemplate',
      meta: { title: 'prescriptionTemplate', noCache: true }
    }, {
      path: '/hisTool/prescriptionTemplatedetail',
      component: () => import('@/xt_pages/outpatientDoctorStation/prescriptionTemplatedetail'),
      name: 'prescriptionTemplatedetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'prescriptionTemplatedetail', noCache: true }
    }, {
      path: '/hisTool/costComparison',
      component: () => import('@/xt_pages/outpatientCharges/costComparison'),
      name: 'costComparison',
      meta: { title: 'costComparison', noCache: true }
    }, {
      path: '/hisTool/outpatientRecord',
      component: () => import('@/xt_pages/outpatientRecord/outpatientRecord'),
      name: 'outpatientSickRecord',
      meta: { title: 'outpatientSickRecord', noCache: true }
    }, {
      path: '/hisTool/summary',
      component: () => import('@/xt_pages/outpatientTool/summary'),
      name: 'summary_tool',
      meta: { title: 'summary_tool', noCache: true }
    },
    {
      path: '/hisTool/print',
      component: () => import('@/xt_pages/outpatientTool/labelPrint'),
      name: 'labelPrint',
      meta: { title: 'labelPrint', noCache: true }
    },

    {
      path: '/hisTool/faPiao',
      component: () => import('@/xt_pages/outpatientTool/fapiao'),
      name: 'faPiao',
      meta: { title: 'faPiao', noCache: true }
    }, {
      path: '/hisTool/yidiClear',
      component: () => import('@/xt_pages/outpatientTool/yidiClear'),
      name: 'yidiClear',
      meta: { title: 'yidiClear', noCache: true }
    },
    {
      path: '/hisTool/statistics',
      component: () => import('@/xt_pages/outpatientTool/statistics'),
      name: 'statistics',
      meta: { title: 'statistics', noCache: true }
    },
    {
      path: '/hisTool/zeroSummary',
      component: () => import('@/xt_pages/outpatientTool/zeroSummary'),
      name: 'zeroSummary',
      meta: { title: 'zeroSummary', noCache: true }
    },
    {
      path: '/hisTool/detailPrint',
      component: () => import('@/xt_pages/outpatientTool/detailPrint'),
      name: 'detailPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'detailPrint', noCache: true }
    },
    {
      path: '/hisTool/gatherPrint',
      component: () => import('@/xt_pages/outpatientTool/gatherPrint'),
      name: 'gatherPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'gatherPrint', noCache: true }
    },
    {
      path: '/hisTool/gatherPrintInvoice',
      component: () => import('@/xt_pages/outpatientTool/gatherPrintInvoice'),
      name: 'gatherPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'gatherPrint', noCache: true }
    },
    {
      path: '/hisTool/export',
      component: () => import('@/xt_pages/outpatientTool/export'),
      name: 'export',
      meta: { title: 'export', noCache: true }
    },
    {
      path: '/hisTool/exportOne',
      component: () => import('@/xt_pages/outpatientTool/exportOne'),
      name: 'exportOne',
      meta: { title: 'exportOne', noCache: true }
    }
  ]
}
