import Layout from '@/views/layout/Layout'

export default {
  path: '/integration/',
  component: Layout,
  redirect: 'noredirect',
  name: 'integration_config',
  alwaysShow: true,
  meta: {
    title: 'integration_config',
    icon: 'excel'
  },
  children: [{
    path: '/data/hisconfig',
    component: () => import('@/xt_pages/integration/his_config'),
    name: 'HIS集成',
    meta: {
      title: 'HIS集成'
    }
  }, {
    path: '/data/lisconfig',
    component: () => import('@/xt_pages/integration/lis_config'),
    name: 'LIS集成',
    meta: {
      title: 'LIS集成'
    }
  }, {
    path: '/data/sisconfig',
    component: () => import('@/xt_pages/integration/sis_config'),
    name: '质控集成',
    meta: {
      title: '质控集成'
    }
  },
  {
    path: '/data/medicalInsurance',
    component: () => import('@/xt_pages/integration/medicalInsurance'),
    name: '医保绑定',
    meta: {
      title: '医保绑定'
    }
  }

  ]
}
