import Layout from '@/views/layout/Layout'

export default {
  path: '/patients',
  component: Layout,
  redirect: 'noredirect',
  name: 'User',
  meta: {
    title: 'user',
    icon: 'bingren'
  },
  children: [{
    path: '/patients/patients',
    component: () => import('@/xt_pages/user/patients'),
    name: 'Patient',
    meta: {
      title: 'patient',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id',
    component: () => import('@/xt_pages/user/patientInfo'),
    hidden: true,
    is_menu: false,
    name: 'patient Page',
    meta: {
      title: 'patientPage',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/edit',
    component: () => import('@/xt_pages/user/editPatient'),
    hidden: true,
    is_menu: false,
    name: 'Edit Patient',
    meta: {
      title: 'editPatient',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/dialysisSolution',
    component: () => import('@/xt_pages/user/dialysisSolution'),
    hidden: true,
    is_menu: false,
    name: 'dialysisSolution',
    meta: {
      title: 'dialysisSolution',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/weight',
    component: () => import('@/xt_pages/user/weight'),
    hidden: true,
    is_menu: false,
    name: 'weight',
    meta: {
      title: 'weight',
      noCache: true
    }
  },

  {
    path: '/patients/patient/:id/vascularAccess',
    component: () => import('@/xt_pages/user/vascularAccess'),
    hidden: true,
    is_menu: false,
    name: 'vascularAccess',
    meta: {
      title: 'vascularAccess',
      noCache: true
    }
  },

  {
    path: '/patients/patient/:mid/vascularAccessDetail/:pid',
    component: () => import('@/xt_pages/user/vascularAccessDetail'),
    hidden: true,
    is_menu: false,
    name: 'vascularAccessDetail',
    meta: {
      title: 'vascularAccessDetail',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/dialysisRecord',
    component: () => import('@/xt_pages/user/dialysisRecord'),
    hidden: true,
    is_menu: false,
    name: 'dialysisRecord',
    meta: {
      title: 'dialysisRecord',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/scheduling',
    component: () => import('@/xt_pages/user/scheduling'),
    hidden: true,
    is_menu: false,
    name: 'scheduling',
    meta: {
      title: 'scheduling',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/doctorAdvice',
    component: () => import('@/xt_pages/user/doctorAdvice'),
    hidden: true,
    is_menu: false,
    name: 'doctorAdvice',
    meta: {
      title: 'doctorAdvice',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/dryWeight',
    component: () => import('@/xt_pages/user/dryWeight'),
    hidden: true,
    is_menu: false,
    name: 'dryWeight',
    meta: { title: 'dryWeight', noCache: true }
  },
  {
    path: '/patients/inspection',
    component: () => import('@/xt_pages/user/inspection'),
    hidden: true,
    is_menu: false,
    name: 'Inspection',
    meta: {
      title: 'inspection',
      noCache: true
    }
  },
  {
    path: '/patients/patients/:id/inspectionInfectious',
    component: () => import('@/xt_pages/user/inspectionInfectious'),
    hidden: true,
    is_menu: false,
    name: 'inspectionInfectious',
    meta: {
      title: 'inspectionInfectious',
      noCache: true
    }
  },
  {
    path: '/patient/patient/:id/templateSummary',
    component: () => import('@/xt_pages/user/templateSummary'),
    hidden: true,
    is_menu: false,
    name: 'templateSummary',
    meta: {
      title: 'templateSummary',
      noCache: true
    }
  },
  {
    path: '/patient/patient/:id/hospitalSummary',
    component: () => import('@/xt_pages/user/hospitalSummary'),
    hidden: true,
    is_menu: false,
    name: 'hospitalSummary',
    meta: {
      title: 'hospitalSummary',
      noCache: true
    }
  },
  {
    path: '/patients/course',
    component: () => import('@/xt_pages/user/courseOfDisease'),
    hidden: true,
    is_menu: false,
    name: 'CourseOfDiseaseManage',
    meta: {
      title: 'CourseOfDiseaseManage',
      noCache: true
    }
  },
  {
    path: '/patients/rescue',
    component: () => import('@/xt_pages/user/rescueRecord'),
    hidden: true,
    is_menu: false,
    name: 'RescueRecord',
    meta: {
      title: 'RescueRecord',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/proeducation',
    component: () => import('@/xt_pages/user/proeducation'),
    hidden: true,
    is_menu: false,
    name: 'proeducation',
    meta: {
      title: 'proeducation',
      noCache: true
    }
  },
  {
    path: '/course/print',
    component: () => import('@/xt_pages/user/coursePrint'),
    hidden: true,
    is_menu: false,
    name: 'coursePrint',
    meta: {
      title: 'coursePrint',
      noCache: true
    }
  },
  {
    path: '/patient/patient/templateSummary/print',
    component: () => import('@/xt_pages/user/templateSummaryPrint'),
    hidden: true,
    is_menu: false,
    name: 'templateSummary',
    meta: {
      title: 'templateSummary',
      noCache: true
    }
  },
  // {
  //   path: '/patient/patient/templateSummary/print_1',
  //   component: () => import('@/xt_pages/user/templateSummaryPrint_1'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'templateSummary_1',
  //   meta: {
  //     title: 'templateSummary_1',
  //     noCache: true
  //   }
  // },
  {
    path: '/patient/patient/hospitalSummary/print',
    component: () => import('@/xt_pages/user/hospitalSummaryPrint'),
    hidden: true,
    is_menu: false,
    name: 'templateSummary',
    meta: {
      title: 'templateSummary',
      noCache: true
    }
  }

  ]
}
