import Layout from '@/views/layout/Layout'

export default {
  path: '/supply',
  component: Layout,
  redirect: 'noredirect',
  name: 'supplyManage',
  alwaysShow: true,
  meta: {
    title: 'supplyManage',
    icon: 'supply',
    isChild: true
  },
  children: [
    {
      path: '/supply/query',
      component: () => import('@/xt_pages/supply/supplyQuery'),
      name: 'supplyQuery',
      meta: { title: 'supplyQuery', noCache: true }
    },
    {
      path: '/supply/add',
      component: () => import('@/xt_pages/supply/components/addSupply'),
      name: 'addSupply',
      hidden: true,
      is_menu: false,
      meta: { title: 'addSupply', noCache: true },
      isChild: true
    },
    {
      path: '/supply/Popup',
      component: () => import('@/xt_pages/supply/components/Popup'),
      name: 'Popup',
      hidden: true,
      is_menu: false,
      meta: { title: 'Popup', noCache: true },
      isChild: true
    },
    {
      path: '/supply/edit',
      component: () => import('@/xt_pages/supply/components/editSupply'),
      name: 'editSupply',
      hidden: true,
      is_menu: false,
      meta: { title: 'editSupply', noCache: true },
      isChild: true
    },
    {
      path: 'purchase/order/query',
      component: () => import('@/xt_pages/supply/purchaseOrderQuery'),
      name: 'purchaseOrderQuery',
      meta: { title: 'purchaseOrderQuery', noCache: true }
    },
    {
      path: '/purchase/order/add',
      component: () => import('@/xt_pages/supply/components/addPurchaseOrder'),
      name: 'addPurchaseOrder',
      meta: { title: 'addPurchaseOrder', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    },
    {
      path: '/purchase/order/edit',
      component: () => import('@/xt_pages/supply/components/editPurchaseOrder'),
      name: 'editPurchaseOrder',
      meta: { title: 'editPurchaseOrder', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    },
    {
      path: '/purchase/order/print',
      component: () => import('@/xt_pages/supply/components/purchaseOrderPrint'),
      name: 'purchaseOrderPrint',
      meta: { title: 'purchaseOrderPrint', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    },

    {
      path: 'good/order/query',
      component: () => import('@/xt_pages/supply/goodOrderQuery'),
      name: 'goodOrderQuery',
      meta: { title: 'goodOrderQuery', noCache: true }
    },
    {
      path: '/good/order/add',
      component: () => import('@/xt_pages/supply/components/addGoodOrder'),
      name: 'addGoodOrder',
      meta: { title: 'addGoodOrder', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    },
    {
      path: '/good/order/edit',
      component: () => import('@/xt_pages/supply/components/editGoodOrder'),
      name: 'editGoodOrder',
      meta: { title: 'editGoodOrder', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    },
    // 退货单模块
    {
      path: '/good/return/query',
      component: () => import('@/xt_pages/supply/goodreturn'),
      name: 'goodReturnQuery',
      meta: { title: 'goodReturnQuery', noCache: true }
    },
    {
      path: '/good/return/add',
      component: () => import('@/xt_pages/supply/components/addGoodReturn'),
      name: 'addGoodReturn',
      meta: { title: 'addGoodReturn', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    },
    {
      path: '/good/return/edit',
      component: () => import('@/xt_pages/supply/components/editGoodReturn'),
      name: 'editGoodReturn',
      meta: { title: 'editGoodReturn', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    },
    {
      path: '/good/return/print',
      component: () => import('@/xt_pages/supply/components/goodReturnPrint'),
      name: 'goodReturnPrint',
      meta: { title: 'goodReturnPrint', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    },
    {
      path: '/good/order/print',
      component: () => import('@/xt_pages/supply/components/goodOrderPrint'),
      name: 'goodOrderPrint',
      meta: { title: 'goodOrderPrint', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    }

  ]
}
