import Layout from '@/views/layout/Layout'
export default {
  path: '/workforce',
  component: Layout,
  redirect: 'noredirect',
  name: 'workforce',
  alwaysShow: true,
  meta: {
    title: 'workforce',
    icon: 'paiban'
  },
  children: [{
    path: '/workforce/appointment',
    component: () => import('@/xt_pages/workforce/appointment'),
    name: 'appointment',
    meta: {
      title: 'appointment',
      noCache: true
    }
  },
  {
    path: '/workforce/sign',
    component: () => import('@/xt_pages/workforce/sign'),
    hidden: true,
    is_menu: false,
    name: 'workforcesign',
    meta: {
      title: 'sign',
      noCache: true
    }
  },
  {
    path: '/workforce/remind',
    component: () => import('@/xt_pages/workforce/remind'),
    name: 'remind',
    meta: {
      title: 'remind',
      noCache: true
    }
  },
  {
    path: '/dialysis/consumable/index',
    component: () => import('@/xt_pages/dialysis/details/consumable/index'),
    name: '透前准备',
    meta: {
      title: '透前准备',
      noCache: true
    }
  },
  {
    path: '/workforce/schedulePrint',
    component: () => import('@/xt_pages/workforce/schedulePrint'),
    name: 'schedulePrint',
    meta: {
      title: 'schedulePrint',
      noCache: true
    }
  },
  {
    path: '/workforce/schedule/printone',
    component: () => import('@/xt_pages/workforce/printOne'),
    name: 'printOne',
    hidden: true,
    is_menu: false,
    meta: {
      title: 'printOne',
      noCache: true
    }
  },

  {
    path: '/workforce/template',
    component: () => import('@/xt_pages/workforce/template'),
    name: 'workforce_template',
    hidden: true,
    is_menu: false,
    meta: {
      title: 'workforce_template',
      noCache: true
    }
  },
  {
    path: '/workforce/schedule/print',
    component: () => import('@/xt_pages/workforce/schedule_print'),
    name: 'schedule_print',
    hidden: true,
    is_menu: false,
    meta: {
      title: 'schedule_print',
      noCache: true
    }
  },
  {
    path: '/schedule/remind/print',
    component: () => import('@/xt_pages/workforce/remind_print'),
    name: 'remind_print',
    hidden: true,
    is_menu: false,
    meta: {
      title: 'remind_print',
      noCache: true
    }
  },
  {
    path: '/schedule/remind/print/next',
    component: () => import('@/xt_pages/workforce/next_remind_print'),
    name: 'next_remind_print',
    hidden: true,
    is_menu: false,
    meta: {
      title: 'next_remind_print',
      noCache: true
    }
  },
  {
    path: '/schedule/remind/print/setting',
    component: () => import('@/xt_pages/workforce/remind_print_setting'),
    name: 'remind_print_setting',
    hidden: true,
    is_menu: false,
    meta: {
      title: 'remind_print_setting',
      noCache: true
    }
  },
  {
    path: '/schedule/remind/print/setting/one',
    component: () => import('@/xt_pages/workforce/remind_print_setting_one'),
    name: 'remind_print_setting_one',
    hidden: true,
    is_menu: false,
    meta: {
      title: 'remind_print_setting_one',
      noCache: true
    }
  },
  {
    path: '/scheduleTablePrint',
    component: () => import('@/xt_pages/workforce/scheduleTablePrint'),
    name: 'scheduleTablePrint',
    hidden: true,
    is_menu: false,
    meta: {
      title: 'scheduleTablePrint',
      noCache: true
    }
  },
  {
    path: '/scheduleTablePrintOne',
    component: () => import('@/xt_pages/workforce/scheduleTablePrintOne'),
    name: 'scheduleTablePrintOne',
    hidden: true,
    is_menu: false,
    meta: {
      title: 'scheduleTablePrintOne',
      noCache: true
    }
  },
  {
    path: '/scheduleTablePrintTwo',
    component: () => import('@/xt_pages/workforce/scheduleTablePrintTwo'),
    name: 'scheduleTablePrintTwo',
    hidden: true,
    is_menu: false,
    meta: {
      title: 'scheduleTablePrintTwo',
      noCache: true
    }
  }
  ]
}
